Name: bootsplash
Version: 1.2.1
Release: alt1

Packager: Rider <rider@altlinux.ru>

Summary: Console splash animations during bootup
License: GPL
Group: System/Base
PreReq: coreutils
Requires: design-bootsplash

BuildPreReq: gfxboot

# Scripts and programs
Source0: fbmngplay-0.4.tar.bz2
Source1: splashutils.tar.bz2
Source2: scripts.tar.bz2

# Docs
Source20: README.cfg
Source21: README.themes

# Patches
Patch4: fbmngplay-cleanup.diff
Patch5: fbmngplay-alt-nostatic.patch
Patch6: splashutils-configpath.diff
Patch7: splashutils-resolution.diff
Patch8: splashutils-anim.diff

# Automatically added by buildreq on Sun Feb 16 2003
BuildRequires: libjpeg-devel liblcms libmng-devel zlib-devel

%description
This package adds nice status animations to the boot process
(needs console splash screen enabled)

%prep
%setup -q -n fbmngplay -a1 -a2
%patch4 -p1
%patch5 -p1
%patch6
%patch7
%patch8

cp %SOURCE20 .
cp %SOURCE21 .

%build
PREFIX=%_exec_prefix LIB=%_lib make all
pushd splashutils
make
popd

%install
# create directory structure
mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/splash/themes
mkdir -p $RPM_BUILD_ROOT/%_sbindir
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
# copy files
install -m 755 fbmngplay           $RPM_BUILD_ROOT/bin
install -m 755 splashutils/splash            $RPM_BUILD_ROOT/bin
install -m 755 splashutils/progress          $RPM_BUILD_ROOT/bin
install -m 755 splashutils/fbresolution      $RPM_BUILD_ROOT/bin
install -m 755 splashutils/bootsplash-config $RPM_BUILD_ROOT/usr/bin
install -m 755    scripts/bootanim $RPM_BUILD_ROOT/bin
install -m 755    scripts/rcsplash $RPM_BUILD_ROOT/etc/rc.d/init.d/splash
install -m 755    scripts/set_theme.bootsplash $RPM_BUILD_ROOT/usr/bin/
ln -sf ../../etc/init.d/splash $RPM_BUILD_ROOT%_sbindir/rcsplash
install -m 644    scripts/sysconfig.bootsplash $RPM_BUILD_ROOT/etc/sysconfig/bootsplash


%post
%post_service splash

%preun
%preun_service splash

%files
%doc README.cfg README.themes
/bin/bootanim
/bin/fbmngplay
#/bin/fbmngplay.static
/bin/fbresolution
/bin/progress
/bin/splash
%_bindir/bootsplash-config
%_bindir/set_theme.bootsplash
%_datadir/splash
/etc/rc.d/init.d/splash
%_sbindir/rcsplash
%config %_sysconfdir/sysconfig/bootsplash

%changelog -n bootsplash
* Wed Mar 05 2003 Rider <rider@altlinux.ru> 1.2.1-alt1
- fix stop function for show splash screen on current console

* Mon Mar 03 2003 Rider <rider@altlinux.ru> 1.2-alt1
- fix initscript for correct stop and start funtions

* Mon Feb 24 2003 Rider <rider@altlinux.ru> 1.1-alt1
- splash initscript changed:
  * chkconfig support
  * stop function for show bootsplash image and change VT to 1
  * support for virtual terminal in themes. Need files in 
    /usr/share/splash/themes/$THEME/config/, named like vtsplash-<VT_NUMBER>-<RESOLUTION>.cfg
- added post and preun scripts for service splash
- removed %config tag from splash initscript


* Sun Feb 16 2003 Rider <rider@altlinux.ru> 1.0-alt2.2
- fix BuildRequires & requires

* Wed Feb 12 2003 Stanislav Ievlev <inger@altlinux.ru> 1.0-alt2.1
- fix usage display in initscript (added "disable" to help screen)

* Mon Feb 10 2003 Rider <rider@altlinux.ru> 1.0-alt2
- fix initscript

* Wed Feb 05 2003 Rider <rider@altlinux.ru> 1.0-alt1
- first build for ALT, based on SuSE package

